# INLAAttributesSetControler Struct Reference

Inheritance diagram for INLAAttributesSetControler:

List of all members.

## Public Member Functions
virtual ITrackGroup *MCCOMAPI | GetRootTrack ()=0
virtual void MCCOMAPI | CreateClipInstance (IClipInstance **instance, I3DShMasterClip *clip)=0
virtual I3DShAttributesSet *MCCOMAPI | GetAttributesSet ()=0
virtual I3DShAttributesSetControler *MCCOMAPI | GetShControler ()=0
virtual void MCCOMAPI | BeginUndoableSequence (ISceneDocument *sceneDocument)=0
virtual void MCCOMAPI | EndUndoableSequence (INLAUndoRedo **undoRedo)=0
virtual void MCCOMAPI | BeginClipPoseCreation ()=0
virtual void MCCOMAPI | EndClipPoseCreation ()=0
virtual void MCCOMAPI | EndClipCreation (I3DShMasterClip **clip, const TMCString &name, I3DShTreeElement *refTree, MicroTick startTime, MicroTick endTime, const TBitArray &parameters=TBitArray())=0
virtual void MCCOMAPI | EndPoseCreation (I3DShMasterClip **clip, const TMCString &name, const TBitArray &parameters=TBitArray())=0
virtual void MCCOMAPI | PostAddTrackAction (ITrackGroup *group, int32 index, boolean groupTrack)=0
virtual void MCCOMAPI | PostCreateClipAction ()=0
virtual void MCCOMAPI | PostCreatePoseAction ()=0
virtual boolean MCCOMAPI | IsExpanded () const =0
virtual void MCCOMAPI | SetExpanded (boolean expanded)=0
virtual void MCCOMAPI | SetDrawPosition (const TMCPoint &position)=0
virtual const TMCPoint &MCCOMAPI | GetDrawPosition () const =0
virtual void MCCOMAPI | CreatePoseWithCurrentValues (I3DShClip **outPose, TMCCountedPtrArray< I3DShParamInfo > *paramInfoArray=NULL)=0

## Member Function Documentation

virtual void MCCOMAPI INLAAttributesSetControler::BeginClipPoseCreation | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::BeginUndoableSequence | ( | ISceneDocument * | sceneDocument | ) | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::CreateClipInstance | ( | IClipInstance ** | instance,
|  | I3DShMasterClip * | clip |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::CreatePoseWithCurrentValues | ( | I3DShClip ** | outPose,
|  | TMCCountedPtrArray< I3DShParamInfo > * | paramInfoArray = `NULL` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::EndClipCreation | ( | I3DShMasterClip ** | clip,
|  | const TMCString & | name,
|  | I3DShTreeElement * | refTree,
|  | MicroTick | startTime,
|  | MicroTick | endTime,
|  | const TBitArray & | parameters = `TBitArray()` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::EndClipPoseCreation | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::EndPoseCreation | ( | I3DShMasterClip ** | clip,
|  | const TMCString & | name,
|  | const TBitArray & | parameters = `TBitArray()` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::EndUndoableSequence | ( | INLAUndoRedo ** | undoRedo | ) | `[pure virtual]`

virtual I3DShAttributesSet* MCCOMAPI INLAAttributesSetControler::GetAttributesSet | ( |  | ) | `[pure virtual]`

virtual const TMCPoint& MCCOMAPI INLAAttributesSetControler::GetDrawPosition | ( |  | ) | const`[pure virtual]`

virtual ITrackGroup* MCCOMAPI INLAAttributesSetControler::GetRootTrack | ( |  | ) | `[pure virtual]`

virtual I3DShAttributesSetControler* MCCOMAPI INLAAttributesSetControler::GetShControler | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI INLAAttributesSetControler::IsExpanded | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::PostAddTrackAction | ( | ITrackGroup * | group,
|  | int32 | index,
|  | boolean | groupTrack |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::PostCreateClipAction | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::PostCreatePoseAction | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::SetDrawPosition | ( | const TMCPoint & | position | ) | `[pure virtual]`

virtual void MCCOMAPI INLAAttributesSetControler::SetExpanded | ( | boolean | expanded | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- NLAInterfaces.h